/**************************************************************************
 *
 * DocEntry.cpp -- Underlying routines for mgquery
 * Copyright (C) 1994  Neil Sharman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: DocEntry.cpp 655 1999-10-11 02:58:42Z cs025 $
 *
 **************************************************************************/

#include "sysfuncs.h"

#include "memlib.h"
#include "netorder.h"  /* [RPAP - Jan 97: Endian Ordering] */

#include "DocEntry.h"

/**
 * Block: Query Document handling;
 *        Provides basic loading/unloading facilities for individual
 *          documents, usually for presentation purposes (searches
 *          are performed on inverted files
 */

long DocEntry_FreeTextBuffer(DocEntry *de)
{
  if (de->CompTextBuffer)
  {
    Xfree (de->CompTextBuffer);
    de->CompTextBuffer = NULL;
    return de->Len;
  }
  return 0;
}

/*
 * Function: DE_comp
 * Description: The void * parameters are deliberate; this function is used
 *              with the SP code, and the more abstract handle is required
 */
int DocEntry_compare(void *a, void *b)
{
  return ((DocEntry *) a)->SeekPos - ((DocEntry *) b)->SeekPos;
}













